package de.tudarmstadt.informatik.hostage.io;

import java.io.IOException;
import java.util.List;

import de.tudarmstadt.informatik.hostage.wrapper.Packet;
/**
 * Interface for a generic class that offers methods for read and write.
 * Is used to abstract the implementation details for String and Byte protocols.
 * @author Mihai Plasoianu 
 * @author Wulf Pfeiffer
 */
public interface ReaderWriter {
	/**
	 * Method to read from a medium.
	 * @return Returns the output.
	 * @throws IOException
	 */
	Packet read() throws IOException;

	/**
	 * Method to write to a medium.
	 * @param outputLine The input to write.
	 * @throws IOException
	 */
	void write(List<Packet> outputLine) throws IOException;

}
