package de.tudarmstadt.informatik.hostage.ui2.adapter;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageButton;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.Switch;
import android.widget.TextView;
import android.widget.ViewSwitcher;

import java.util.List;

import de.tudarmstadt.informatik.hostage.R;
import de.tudarmstadt.informatik.hostage.ui2.model.ServicesListItem;

/**
 * Created by Daniel Lazar on 06.02.14.
 */
public class ServicesListAdapter extends ArrayAdapter<ServicesListItem> {
		private class ViewHolder {
			public TextView protocolName;
			public TextView recordedAttacks;
			public Switch activated;
		}

	private final Context context;
	private final List<ServicesListItem> values;

	public ServicesListAdapter(Context context, List<ServicesListItem> objects){
		super(context, R.layout.services_list_item, objects);

		this.context = context;
		this.values = objects;
	}

	@Override
	public View getView(final int position, View convertView, ViewGroup parent) {
		LayoutInflater inflater = (LayoutInflater) context
				.getSystemService(Context.LAYOUT_INFLATER_SERVICE);

		View rowView = convertView;
		ViewHolder holder = null;

		final ServicesListItem item = values.get(position);

		if(rowView == null){
			rowView = inflater.inflate(R.layout.services_list_item, parent, false);

			holder = new ViewHolder();
			holder.protocolName = (TextView) rowView.findViewById(R.id.services_item_name);
			holder.recordedAttacks = (TextView) rowView.findViewById(R.id.services_item_rec_attacks);
			holder.activated = (Switch) rowView.findViewById(R.id.services_item_switch);

			rowView.setTag(holder);
		} else {
			holder = (ViewHolder) rowView.getTag();
		}

		holder.protocolName.setText(item.protocol);
		holder.recordedAttacks.setText(item.attacks);


		return rowView;
	}

}
